Bug 246250 - sysutils/rdiff-backup: update to 2.0.0
Summary: sysutils/rdiff-backup: update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-06 08:45 UTC by Zsolt Udvari
Modified: 2020-05-17 08:36 UTC (History)
3 users (show)

See Also:


Attachments
Patch to 2.0.0 (15.87 KB, patch)
2020-05-06 08:45 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
Forget diff about setup.py patch (16.07 KB, patch)
2020-05-06 08:52 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
Revised patch (15.33 KB, patch)
2020-05-16 05:14 UTC, Hiroki Tagato
uzsolt: maintainer-approval+
Details | Diff
Poudriere testport log (38.58 KB, text/plain)
2020-05-17 02:40 UTC, Hiroki Tagato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2020-05-06 08:45:07 UTC
Created attachment 214191 [details]
Patch to 2.0.0

Update to 2.0.0.

* use python flavours, remove DEPRECATED

Program changelog:
- remove support python 2.x
- added support python 3.x
- many small and bigger fixes, see more: https://github.com/rdiff-backup/rdiff-backup/blob/master/CHANGELOG

Ps.: maybe the PORTEPOCH can remove? The package name changed from "rdiff-backup" to "pyXX-rdiff-backup".
Comment 1 Zsolt Udvari 2020-05-06 08:52:09 UTC
Created attachment 214192 [details]
Forget diff about setup.py patch
Comment 2 Hiroki Tagato freebsd_committer 2020-05-11 07:06:51 UTC
(In reply to Zsolt Udvari from comment #0)

If the port only support python 3.x, I guess we should use:

USES= python:3.x+ (x is the minimum minor version)

instead of:

USES= python (which means both python 2 and 3 are supported)
Comment 3 Zsolt Udvari 2020-05-11 07:11:09 UTC
(In reply to Hiroki Tagato from comment #2)
You've right. Could you please modify it to 3.5+?
Comment 4 Hiroki Tagato freebsd_committer 2020-05-11 07:22:46 UTC
(In reply to Zsolt Udvari from comment #3)

Yes, I will do it. Additionally, I will add:

USES= localbase

instead of directly specifying:

CPPFLAGS+= -I${LOCALBASE}/include
Comment 5 Zsolt Udvari 2020-05-11 08:12:04 UTC
(In reply to Hiroki Tagato from comment #4)
Right.
Comment 6 Hiroki Tagato freebsd_committer 2020-05-12 05:44:34 UTC
Opened a review on Phabricator at the following URL:
https://reviews.freebsd.org/D24816
Comment 7 Hiroki Tagato freebsd_committer 2020-05-16 05:14:58 UTC
Created attachment 214541 [details]
Revised patch

Hi,

Based on the review at https://reviews.freebsd.org/D24816, I have updated the patch. Can you review this version if it's OK with you?

Summary of changes:
- Rename portname to py-rdiff-backup following Python Ports Policy[1]
- Remove PORTEPOCH due to package name change
- Use CHEESESHOP as MASTER_SITES instead of USE_GITHUB as per [1]
- Update COMMENT to match the description at PyPi as per [1]
- Update LICENSE and LICENSE_FILE based on the info at PyPi
- Add autoplist and concurrent to USE_PYTHON as per [1]
- Delete MAN1S and DOCS to let autoplist handle these files
- Delete pkg-plist in favor of autoplist
- Add TEST_DEPENDS and do-test target

[1] https://wiki.freebsd.org/Python/PortsPolicy

If those changes are acceptable, I will go forward and commit the changes. If you need further changes, please feel free to modify and let me know.
Comment 8 Zsolt Udvari 2020-05-16 19:37:35 UTC
(In reply to Hiroki Tagato from comment #7)
BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools_scm>0:devel/py-setuptools_scm@${PY_FLAVOR}
Does it work? I couldn't do it with 'setuptools_scm' right and removed it from dependencies.
Comment 9 Hiroki Tagato freebsd_committer 2020-05-17 02:40:47 UTC
Created attachment 214573 [details]
Poudriere testport log

(In reply to Zsolt Udvari from comment #8)

I should have attached a poudriere log. Please check the attached log.

The port builds fine with:
BUILD_DEPENDS=  ${PYTHON_PKGNAMEPREFIX}setuptools_scm>0:devel/py-setuptools_scm@${PY_FLAVOR}
Comment 10 Zsolt Udvari 2020-05-17 05:47:12 UTC
(In reply to Hiroki Tagato from comment #9)
Ok, I think it's right.
Thanks for your work!
Comment 11 commit-hook freebsd_committer 2020-05-17 08:35:53 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 17 08:35:20 UTC 2020
New revision: 535526
URL: https://svnweb.freebsd.org/changeset/ports/535526

Log:
  - Update to 2.0.0 and undeprecate
  - Rename portname to py-rdiff-backup following Python Ports Policy[1]
  - Flavorize
  - Remove PORTEPOCH due to package name change
  - Use CHEESESHOP as MASTER_SITES instead of USE_GITHUB as per [1]
  - Update COMMENT to match the description at PyPi as per [1]
  - Update LICENSE and LICENSE_FILE based on the info at PyPi
  - Add autoplist and concurrent to USE_PYTHON as per [1]
  - Delete MAN1S and DOCS to let autoplist handle these files
  - Delete pkg-plist in favor of autoplist
  - Add TEST_DEPENDS and do-test target

  [1] https://wiki.freebsd.org/Python/PortsPolicy

  PR:		246250
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer)
  Reviewed by:	koobs, bapt
  Approved by:	ehaupt (mentor)
  Changelog:	https://github.com/rdiff-backup/rdiff-backup/blob/v2.0.0/CHANGELOG
  Differential Revision:	https://reviews.freebsd.org/D24816

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/py-rdiff-backup/
  head/sysutils/py-rdiff-backup/Makefile
  head/sysutils/py-rdiff-backup/distinfo
  head/sysutils/py-rdiff-backup/files/
  head/sysutils/py-rdiff-backup/pkg-plist
  head/sysutils/rdiff-backup/
Comment 12 Hiroki Tagato freebsd_committer 2020-05-17 08:36:29 UTC
Committed, thanks!